> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Self Serve Onramp Config

> Checks Safe connection, chain and token support and app id to report Coinbase Onramp availability.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-self-serve-onramp-config
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-self-serve-onramp-config:
    get:
      operationId: getSelfServeOnrampConfig
      summary: Get Self Serve Onramp Config
      x-toku-required-scope: wallets:read
      description: >-
        Checks Safe connection, chain and token support and app id to report
        Coinbase Onramp availability.


        Required scope: `wallets:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSelfServeOnrampConfigResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetSelfServeOnrampConfigResponse:
      type: object
      properties:
        isAvailable:
          type: boolean
        unavailableReason:
          type:
            - string
            - 'null'
        destinationAddress:
          type:
            - string
            - 'null'
        coinbaseNetwork:
          type:
            - string
            - 'null'
        chainId:
          type:
            - number
            - 'null'
        token:
          type:
            - string
            - 'null'
        appId:
          type:
            - string
            - 'null'
      required:
        - isAvailable
        - unavailableReason
        - destinationAddress
        - coinbaseNetwork
        - chainId
        - token
        - appId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
